> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Firecrawl 解析

> 解析你上传的 HTML 文件，返回 markdown。

解析你上传的 HTML 文件，返回 markdown。使用 `multipart/form-data`，两个字段：`file`（上传的 HTML，必须带 `text/html` content type 或 `.html`/`.htm` 文件名）和 `options`（JSON 字符串，必须设 `proxy` 为 `basic`，可另外设 `formats` 为 `["markdown"]`，上限 64 KB）。返回 `success` 和 `data.markdown` 及 `metadata`。计 1 个 Firecrawl credit。⚠️ **不作为 MCP 工具提供。** 工具调用传的是 JSON，文件会变成一个没有文件名的普通表单字段，上游拒绝 —— 已实测。在 MCP 下请改用 [`post_firecrawl_scrape`](/docs/zh/api-reference/search/post_firecrawl-scrape) 传 URL。这个端点是给手里真有文件的 HTTP 客户端用的。


## OpenAPI

````yaml openapi/zh/firecrawl.json POST /firecrawl/parse
openapi: 3.0.0
info:
  title: Firecrawl API
  version: 1.0.0
  description: >-
    Firecrawl 各 endpoint 的统一 API 文档，包括 Scrape、Search、Map、Parse、Crawl 和 Batch
    Scrape。Scrape、Search、Map 和 Parse 是同步接口。Crawl 和 Batch Scrape
    是异步接口：调用方提交任务，然后轮询返回的任务资源以获取状态和结果。


    计费按消耗的 Firecrawl credit 计量，而不是按请求固定收费，因此总费用随任务产生的页面、链接或结果数量增长。大致 credit
    消耗：Scrape = 每页 1 credit，Map = 每页 1 credit，Search = 每 10 条结果约 2 credits，Crawl
    = 每页 1 credit，Batch Scrape = 每页 1 credit。每个 credit 对应的美元费率取决于你的等级。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /firecrawl/parse:
    post:
      tags:
        - https://docs.firecrawl.dev/api-reference/endpoint/parse
      summary: 把上传的 HTML 文件解析成 markdown。
      description: >-
        解析你上传的 HTML 文件，返回 markdown。使用 `multipart/form-data`，两个字段：`file`（上传的
        HTML，必须带 `text/html` content type 或 `.html`/`.htm` 文件名）和 `options`（JSON
        字符串，必须设 `proxy` 为 `basic`，可另外设 `formats` 为 `["markdown"]`，上限 64 KB）。返回
        `success` 和 `data.markdown` 及 `metadata`。计 1 个 Firecrawl credit。⚠️ **不作为
        MCP 工具提供。** 工具调用传的是 JSON，文件会变成一个没有文件名的普通表单字段，上游拒绝 —— 已实测。在 MCP 下请改用
        `post_firecrawl_scrape` 传 URL。这个端点是给手里真有文件的 HTTP 客户端用的。
      operationId: post_firecrawl_parse
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: 要解析的 HTML/HTM 文件。必须是 text/html 内容类型，或文件名以 .html/.htm 结尾。
                options:
                  type: string
                  description: >-
                    解析选项的 JSON 字符串。必须包含 proxy="basic"；可以额外包含
                    formats=["markdown"]。不允许其他键。
                  example: '{"proxy":"basic","formats":["markdown"]}'
              required:
                - file
                - options
      responses:
        '200':
          description: 解析成功完成。
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: 解析成功时为 true。
                  data:
                    type: object
                    properties:
                      markdown:
                        type: string
                        description: 以 markdown 表示的解析内容。
                  creditsUsed:
                    type: integer
                    description: 消耗的 Firecrawl credits（1 个）。
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.